Holger's Java API

## com.antelmann.net.mail
Interface EmailCustomizer

All Known Implementing Classes:
  SQLEmailCustomizer, TableCustomizer, TableModelCustomizer

    public interface EmailCustomizer

This interface is used as a callback object to further individualize the body of an email while sending it to varius addresses.

Author:
  Holger Antelmann
See Also:
  `POP3Account`

Method Summary
`boolean` `individualizeEmail(Email email, javax.mail.internet.InternetAddress address)` this method is called by the `EmailAccount.send()` method to individualize this particular email for given the address.

Method Detail

### individualizeEmail

    boolean individualizeEmail(Email email,
                               javax.mail.internet.InternetAddress address)
                               throws DatabaseException

  this method is called by the `EmailAccount.send()` method to individualize this particular email for given the address.

  Returns:
    true only if the email is to be actually sent; false otherwise (in which case the given email to this address will be skipped)
  Throws:
    `DatabaseException` - if something went wrong when trying to access relevant data for the customization
  See Also:
    `POP3Account.sendEmails(Email, InternetAddress[], EmailCustomizer, com.antelmann.util.Monitor)`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads